#ifndef filer_hpp
#define filer_hpp

class Filer
{
  public:
    Filer(const wchar_t* fileName);
    ~Filer();
    
    bool openFile (void);
    bool closeFile(void);

    bool read (WORD blockNum, BYTE* buf);
    bool write(WORD blockNum, BYTE* buf);
  private:
    HANDLE hostFile;
    wchar_t fName[300];
    DWORD* blks;
    bool   isChanged;
    BYTE   sectorSize;
};

#endif
