#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <algorithm>
#include "plugin.hpp"

#include "types.hpp"
#include "tools.hpp"
#include "lang.hpp"

void messageBoxDetectorIniCantOpen()
{
    const wchar_t * const msgItems[]{ GetMsg(MxPluginWarning), GetMsg(MCanNotOpenINI), GetMsg(MOk) };
    messageBox(FMSG_WARNING /*| FMSG_DOWN*/, msgItems, std::size(msgItems), 1);
}

void messageBoxDetectorIniError()
{
    const wchar_t * const msgItems[]{ GetMsg(MxPluginWarning), GetMsg(MINIError), GetMsg(MOk) };
    messageBox(FMSG_WARNING/* | FMSG_DOWN*/, msgItems, std::size(msgItems), 1);
}
