#pragma once

#pragma pack(push, 1)
struct ZipedFileHdr : SCLHdr
{
  WORD  packedSize;
  DWORD crc;
  BYTE  pMethod;
  BYTE  flags;
};

struct ExtFileHdr
{
    wchar_t  name[13];
    wchar_t  comment[100];
    BYTE  type;
    DWORD offset;
    bool  skipHeader;
};

#pragma pack(pop)

struct Options
{
  bool showExt;
  int  defaultPanelMode;
  int  defaultFormat;
  bool detectFormat;
  wchar_t iniFilePath[300];
};
